=== debian/changelog ===
atheros-firmware (0.1-20100501trisquel1) maverick; urgency=low

  * Initial release

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Fri, 15 Apr 2011 00:13:43 +0200
