=== debian/control ===
Source: atheros-firmware
Section: admin
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
Build-Depends-Indep: debhelper, libgmp3-dev, texinfo, libmpfr-dev
Standards-Version: 3.5.9.0

Package: atheros-firmware
Architecture: all
Priority: optional
Description: Firmware for the Atheros 802.11n USB chipset (AR9170)
 ar9170.fw is the firmware for the Atheros 802.11n USB chipset (AR9170). 
 It was released by Atheros under the GPLv2 License with a lot of contributions made by the community.
